#ifndef CO2_SENSOR_H_
#define CO2_SENSOR_H_

#include <stdint.h> // For uint16_t

namespace sensor {
  extern uint16_t co2;
  extern float temperature;
  extern float humidity;
  extern char timestamp[];

  void initialize();
  bool processData();
  void startCalibrationProcess();

  void setCO2forDebugging(int32_t fakeCo2);
  void setTimer(int32_t timestep);
  void calibrateSensorToSpecificPPM(int32_t calibrationLevel);
  void calibrateSensorRightNow(int32_t calibrationLevel);
  void setAutoCalibration(int32_t autoCalibration);
  void resetSCD();
}
#endif
